- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions

# QSqlError Class Reference

Search for all occurrences

## Detailed Description

Definition at line 53 of file qsqlerror.h.

`#include <qsqlerror.h>`

List of all members.

## Public Types
enum | ErrorType { NoError, ConnectionError, StatementError, TransactionError, UnknownError }
## Public Member Functions
| QSqlError (const QString &driverText=QString(), const QString &databaseText=QString(), ErrorType type=NoError, int number=-1)
| QSqlError (const QSqlError &other)
QSqlError & | operator= (const QSqlError &other)
| ~QSqlError ()
QString | driverText () const
void | setDriverText (const QString &driverText)
QString | databaseText () const
void | setDatabaseText (const QString &databaseText)
ErrorType | type () const
void | setType (ErrorType type)
int | number () const
void | setNumber (int number)
QString | text () const
bool | isValid () const

## Member Enumeration Documentation

enum ErrorType

Search for all occurrences

Enumerator:

  NoError | Search for all occurrences
  ConnectionError | Search for all occurrences
  StatementError | Search for all occurrences
  TransactionError | Search for all occurrences
  UnknownError | Search for all occurrences

Definition at line 56 of file qsqlerror.h.

                       {
            NoError,
            ConnectionError,
            StatementError,
            TransactionError,
            UnknownError
    #ifdef QT3_SUPPORT
            , None = NoError,
            Connection = ConnectionError,
            Statement = StatementError,
            Transaction = TransactionError,
            Unknown = UnknownError
    #endif
        };

## Constructor & Destructor Documentation

QSqlError | ( | const QString & | driverText = `QString()`,
|  | const QString & | databaseText = `QString()`,
|  | ErrorType | type = `NoError`,
|  | int | number = `-1`
| ) |  |

QSqlError | ( | const QSqlError & | other | ) |

~QSqlError | ( |  | ) |

## Member Function Documentation

QSqlError& operator= | ( | const QSqlError & | other | ) |

QString driverText | ( |  | ) | const

Search for all occurrences

void setDriverText | ( | const QString & | driverText | ) |

Search for all occurrences

QString databaseText | ( |  | ) | const

Search for all occurrences

void setDatabaseText | ( | const QString & | databaseText | ) |

Search for all occurrences

ErrorType type | ( |  | ) | const

Search for all occurrences

void setType | ( | ErrorType | type | ) |

Search for all occurrences

int number | ( |  | ) | const

Search for all occurrences

void setNumber | ( | int | number | ) |

Search for all occurrences

QString text | ( |  | ) | const

Search for all occurrences

bool isValid | ( |  | ) | const

Search for all occurrences

The documentation for this class was generated from the following file:

- QtSql/qsqlerror.h

QSqlError QSqlError QSqlError QSqlError QSqlError QSqlError QSqlError QSqlError QSqlError QSqlError
QSqlError QSqlError QSqlError QSqlError QSqlError QSqlError QSqlError QSqlError QSqlError QSqlError